%global revision 500

Name:		jwm
Version:	2.0.1
Release:	6.svn%{revision}%{?dist}
Summary:	Joe's Window Manager

Group:		User Interface/Desktops
License:	GPLv2+
URL:		http://joewing.net/programs/jwm
Source0:	http://joewing.net/programs/jwm/snapshots/%{name}-%{revision}.tar.bz2
Source1:	%{name}.desktop
Patch0:		%{name}-nostrip.patch
Patch1:		%{name}-timestamps.patch
Patch2:		%{name}-destdir.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	libXext-devel libXmu-devel libXinerama-devel
BuildRequires:	libXpm-devel libjpeg-turbo-devel libpng-devel
BuildRequires:	libXft-devel fribidi-devel freetype-devel
Requires:	xterm

%description
JWM is a window manager for the X11 Window System. JWM is written in C and uses
only Xlib at a minimum. The following libraries can also be used if available:

* libXext for the shape extension
* libXext for the render extension
* libXmu for drawing rounded windows (shape extension also needed)
* libXinerama for Xinerama support
* libXpm for XPM backgrounds and icons
* libjpeg for JPEG backgrounds and icons
* libpng for PNG backgrounds and icons
* libxft for antialiased and true type fonts
* libfribidi for right-to-left language support

It can support some MWM, GNOME, and WM Spec hints.

%prep
%setup -q -n %{name}-%{revision}

# Do not strip binary file
%patch0 -p0 -b .orig

# Preserve timestamps in installation
%patch1 -p0 -b .orig

# Enable the use of DESTDIR
%patch2 -p0 -b .orig

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

mkdir -p %{buildroot}%{_datadir}/xsessions
install -p -m 644 %{SOURCE1} %{buildroot}%{_datadir}/xsessions/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc ChangeLog LICENSE README todo.txt
%{_bindir}/%{name}
%config(noreplace) %{_sysconfdir}/system.jwmrc
%{_datadir}/xsessions/%{name}.desktop
%{_mandir}/man1/%{name}.*

%changelog
* Tue Aug 30 2011 Germán A. Racca <skytux@fedoraproject.org> 2.0.1-6.svn500
- Added patch to remove strip from makefile
- Recreated the other patches and changed order of application
- Removed optflags from make line

* Mon Aug 22 2011 Germán A. Racca <skytux@fedoraproject.org> 2.0.1-5.svn500
- Added optflags to the make line
- Replaced libjpeg-devel by libjpeg-turbo-devel in BR
- Added freetype-devel as BR

* Fri Aug 19 2011 Germán A. Racca <skytux@fedoraproject.org> 2.0.1-4.svn500
- Added xterm as requires
- Modified release tag format

* Sun Jan 09 2011 Germán A. Racca <skytux@fedoraproject.org> 2.0.1-3.20110108svn
- Updated to snapshot 20110108
- Removed some patches because they were fixed by upstream

* Thu Jun 17 2010 German A. Racca <gracca@gmail.com> 2.0.1-2.20100616svn
- Rebuild for Fedora 13
- Updated to snapshot 20100616

* Tue May 19 2010 German A. Racca <gracca@gmail.com> 2.0.1-1.20100503svn
- Initial release of RPM package
